Name:		mate-calc
Version:	1.20.1
Release:	%mkrel 1
Summary:	MATE Desktop calculator
Group:		Graphical desktop/Mate
License:	GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz

BuildRequires:	gtk2-devel
BuildRequires:	mate-common
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	mate-desktop-devel
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}xml2-devel

%description
mate-calc is a powerful graphical calculator with financial, logical and scientific modes.
It uses a multiple precision package to do its arithmetic to give a high degree of accuracy.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-schemas-compile

%make

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-KDE-Utilities-Desktop;X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name} --all-name

%postun
if [ $1 -eq 0 ] ; then
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_mandir}/man1/*
%{_bindir}/mate-calc
%{_bindir}/mate-calc-cmd
%{_bindir}/mate-calculator
%{_datadir}/applications/mate-calc.desktop
%{_datadir}/glib-2.0/schemas/org.mate.calc.gschema.xml
%{_datadir}/mate-calc
%{_datadir}/help
%{_datadir}/appdata/mate-calc.appdata.xml

%changelog
* Sat Mar 31 2018 bb2 <bb2> - 1.20.1-1pclos2018
- new version

* Sat Feb 17 2018 bb2 <bb2> - 1.20.0-1pclos2018
- new version

* Thu Oct 26 2017 bb2 <bb2> - 1.18.1-1pclos2017
- new version

* Thu Oct 15 2015 bb <bb> 1.8.0-2pclos2015
- rebuild for updates

* Wed Mar 05 2014 bb <bb> 1.8.0-1pclos2014
- update

* Tue Feb 11 2014 bb <bb> 1.6.1-1pclos2014
- update

* Tue Jun 11 2013 billybot <billybot> 1.6.0-1pclos2013
- build
